/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<SidebarMode.h>)
#  include <SidebarMode.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_systemsettings()
{
    qmlRegisterModule("org.kde.systemsettings", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<SidebarMode>("org.kde.systemsettings", 254);
    qmlRegisterEnum<SidebarMode::ApplicationMode>("SidebarMode::ApplicationMode");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.systemsettings", 254, 254);
}

static const QQmlModuleRegistration orgkdesystemsettingsRegistration("org.kde.systemsettings", qml_register_types_org_kde_systemsettings);
